package project_3;

public class TreeNode<T> implements Comparable<T> {
	T data;
	TreeNode<T> left;
	TreeNode<T> right;
	int height;
	
	public TreeNode(T data) {
		this.data = data;
	}
	
	@Override
	public int compareTo(T data) {
		return this.data.toString().compareTo(data.toString());
	}

	@Override
	public String toString() {
		return "Node [data=" + data+"....." +height +"]";
	}

}
